code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#/bin/bash if [ $# != 3 ] then echo "USAGE: $0 DATAFILE OUTDIR FORMAT" exit 1 fi DATAFILE=$1 OUTDIR=$2 FORMAT=$3 for CONFIG in twyg/configs/*.twg do D=`basename $DATAFILE` D="${D%.*}" C=`basename $CONFIG` C="${C%.*}" OUTFILE="${OUTDIR}/${D}-${C}.${FORMAT}" echo "Writing $OUTFILE" ...
johnnovak/twyg
scripts/generate-examples.sh
Shell
mit
362
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for RHSA-2015:0439 # # Security announcement date: 2015-03-05 14:38:10 UTC # Script generation date: 2017-01-01 21:15:57 UTC # # Operating System: Red Hat 7 # Architecture: x86_64 # # Vulnerable packages fix on version: # - krb5-debuginfo.i686:1.12.2-14.el7 # -...
Cyberwatch/cbw-security-fixes
Red_Hat_7/x86_64/2015/RHSA-2015:0439.sh
Shell
mit
1,932
current_commit='' repo='' # Verify if the commit was passed as argument if [ $# -eq 0 ] then # if didn't received a commit, let's get the current commit current_commit=$(git log --pretty=format:'%h' -n 1) repo='local' else current_commit=$1 if [ -z "$2" ] then repo='loca...
adrianogil/UnityBuildScripts
unity_dev_build.sh
Shell
mit
1,492
#!/usr/bin/env bash mkdir -p tmp/deps cd tmp/deps git clone https://github.com/pytorch/pytorch.git cd ../..
lantiga/pytorch2c
scripts/get_deps.sh
Shell
mit
110
#!/bin/sh # update_IB_files.sh # # @source https://github.com/DesignatedInitializer/XcodeBuildPhaseScripts # # Created by Alexander I. Kovács on 1/24/16. # Copyright (c) 2016 Kobachi. All rights reserved. # # Run this script after updating Xcode to upgrade all Interface Builder files to the new version in one go....
DesignatedInitializer/XcodeBuildPhaseScripts
ib_files_upgrade.sh
Shell
mit
892
#!/bin/sh - Import="github.com/khlieng/dispatch/version" Tag=$(git describe --tags) Commit=$(git rev-parse --short HEAD) Date=$(date +'%Y-%m-%dT%TZ') CGO_ENABLED=0 go install -ldflags "-s -w -X $Import.Tag=$Tag -X $Import.Commit=$Commit -X $Import.Date=$Date"
khlieng/dispatch
install.sh
Shell
mit
263
#!/bin/bash # This is an example of how to run the code through the Closure # compiler. You'll have to update the path to reflect where it's # installed on your system. I used the compiler for static code # analysis only; index.html runs the unminified code. java -jar /home/rahulraj/dls/closure-compiler/compiler.jar ...
rahulraj/web_projects
assignment6/advgame/static/scripts/compile.sh
Shell
mit
592
#!/usr/bin/env bash folders=( "Aggregate" "Assertion" "Compare" "Export" "MapReduce" "Mutate" "Partition" "Pipes" "Query" "Strings" ) files=( "aggregates.md" "assertable.md" "comparable.md" "exportable.md" "mappable.md" "mutateable.md" "partitionable...
dave-redfern/somnambulist-collection
generate_docs.sh
Shell
mit
634
#!/usr/bin/env bash # # Copyright (c) 2018 The Bitcoin Core developers # Distributed under the MIT software license, see the accompanying # file COPYING or http://www.opensource.org/licenses/mit-license.php. export LC_ALL=C if [ "$TRAVIS_EVENT_TYPE" = "pull_request" ]; then test/lint/commit-script-check.sh $TRAVIS_...
deeponion/deeponion
ci/lint/06_script.sh
Shell
mit
987
#!/usr/bin/zsh # Ask for the administrator password upfront sudo -v # Keep-alive: update existing `sudo` time stamp until `.macos` has finished while true; do sudo -n true; sleep 60; kill -0 "$$" || exit; done 2>/dev/null & # GENERAL SETTINGS ## Disable the sound effects on boot sudo nvram SystemAudioVolume=" " ##...
felipekzig/dotfiles
scripts/macos.sh
Shell
mit
3,549
#!/bin/bash killall redis-server killall redis-cli CURR_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" rm -rf traces_dir* rm -rf prefix_states_cached rm -rf micro_ops* rm -rf workload_dir1 mkdir workload_dir1 rm -rf workload_dir2 mkdir workload_dir2 rm -rf workload_dir3 mkdir workload_dir3 rm -rf workloa...
ramanala/PACE
example/redis/redis_init.sh
Shell
mit
670
#!/usr/bin/env bash # set terminal to UTF8 (otherwise `gem install foreman` fails) export LANG=en_CA.UTF-8 # set up ruby env mkdir .ruby-gems export GEM_HOME=$PWD/.ruby-gems export PATH=$PATH:$PWD/.ruby-gems/bin # install foreman gem install foreman
markmichaelrichter/Heroku_Buildpack
bin/steps/hooks/post_compile_o.sh
Shell
mit
252
#!/bin/sh # Block commit if one of the changes in the commit contain NOCOMMIT (case insensitive). # To use this hook, place it in the '.git/hooks' directory in your repository and make sure it is named 'pre-commit'. # # To force commit anyway: # git commit --no-verify # # Eclipse: # Eclipse's GIT integration 'eGi...
sorennielsen/git-hooks
pre-commit-nocommit.sh
Shell
mit
1,497
#!/bin/bash forever ./server.js
idekerlab/ci-service-template
file-server/run.sh
Shell
mit
32
#!/bin/sh . 00_init_paths.sh rm -r lang mkdir lang mkdir lang/dict #create nonsilence_phones.txt cat $LEXICON | awk '{for (i=2;i<=NF;i++) print $i}' | sort -u > lang/dict/nonsilence_phones.txt #+remove last lines #create silence_phones.txt #done manually !!!!! UH is a phoneme code => use UHH instead !!! #extra_q...
besacier/ALFFA_PUBLIC
ASR/AMHARIC/kaldi-script/02_lexicon.sh
Shell
mit
1,292
#!/bin/bash # Simple script to start and stop a local OpenShift cluster along with a sample app. set -x action=$1 app=$2 d1=/tmp/data01; d2=/tmp/data02 shift function start_oc() { # First of all, we start the cluster oc cluster up && # Build the app image docker build -t "$app:v1" . && # Tempor...
bertinatto/resized
bin/occtl.sh
Shell
mit
1,461
set -e FILE=$1 if [ ! -f "$FILE" ]; then echo "$FILE does not exist" exit 1 fi read -p "Create a database backup before resetting? (y/n) " echo # (optional) move to a new line if [[ $REPLY =~ ^[Yy]$ ]] then echo "creating backup.." /bin/bash db-backup.sh "$HOME/emergency_backups" fi root_mysql_pw=$(sudo ...
HPI-SWA-Lab/BP2016H1
db-rollback.sh
Shell
mit
527
#!/bin/bash # https://linuxhint.com/bash_wait_keypress/ echo "Press any key to continue" while [ true ] ; do read -t 3 -n 1 if [ $? = 0 ] ; then exit ; else echo "waiting for the keypress" fi done
jtraver/dev
bash/wait_on_input.bash
Shell
mit
229
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for RHSA-2015:1683 # # Security announcement date: 2015-08-25 06:07:25 UTC # Script generation date: 2017-01-01 21:16:38 UTC # # Operating System: Red Hat 7 # Architecture: x86_64 # # Vulnerable packages fix on version: # - libcacard-devel-rhev.x86_64:2.1.2-23.el...
Cyberwatch/cbw-security-fixes
Red_Hat_7/x86_64/2015/RHSA-2015:1683.sh
Shell
mit
1,675
#!/bin/bash php tests/run.php $*
lactarius/pollcontrol
bin/d.sh
Shell
mit
32
cp -R -n ./osx/services/* ~/Library/Services/ # Symlink PopClip settings unlink ~/Library/Application\ Support/PopClip ln -s ~/Dropbox/Apps/PopClip ~/Library/Application\ Support/PopClip # Skip last login info output, makes shell to start a bit faster touch $HOME/.hushlogin # Link Dropbox/Inbox if it exists to ~/Do...
xenocid/dotfiles
osx/configure.sh
Shell
mit
403
#!/bin/bash -e export LOGTO="FILE" . /usr/local/scripts/root/stdlib.sh # ./archive_off_X.sh X Y Z # # A script to archive files (not directories) older than X from folder Y to folder Z # DAYS_OLDERTHAN=$1 FROM_DIRECTORY=$2 GOTO_DIRECTORY=$3 function helpme { echo "This script should have three arguments like so...
Antitribu/MyScripts
linux/backup/archive_off_X.sh
Shell
mit
1,772
#!/bin/bash NAMESPACE="Acme" if [ -z "$*" ]; then echo -e "\nUsage: $0 ComponentName\n"; exit; fi mkdir -p src/${NAMESPACE}/Component/$1/ touch src/${NAMESPACE}/Component/$1/.gitkeep
danielsreichenbach/symfony3-template
bin/generate-component.sh
Shell
mit
194
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for DSA-3392-1 # # Security announcement date: 2015-11-04 00:00:00 UTC # Script generation date: 2017-01-01 21:07:36 UTC # # Operating System: Debian 7 (Wheezy) # Architecture: armv7l # # Vulnerable packages fix on version: # - freeimage:3.15.1-1.1 # # Last versi...
Cyberwatch/cbw-security-fixes
Debian_7_(Wheezy)/armv7l/2015/DSA-3392-1.sh
Shell
mit
622
sudo apt install tilda
xuender/ubuntu
install/terminal.sh
Shell
mit
23
# cheers, @ehrenmurdick # http://github.com/ehrenmurdick/config/blob/master/zsh/prompt.zsh # load color shortcuts autoload colors && colors if (( $+commands[git])); then git="$commands[git]" else git="/usr/bin/git" fi git_branch() { echo $($git symbolic-ref HEAD 2>/dev/null | awk -F/ {'print $NF'}) } git_dirt...
philippfranke/dotfiles
zsh/prompt.zsh
Shell
mit
1,183
#!/usr/bin/env bash /bin/cp /redis/conf/session.conf /etc/redis/session.conf /bin/cp /redis/conf/cache.conf /etc/redis/cache.conf /bin/cp /redis/conf/fpc.conf /etc/redis/fpc.conf /bin/mkdir -p /var/redis/session /bin/mkdir -p /var/redis/cache /bin/mkdir -p /var/redis/fpc /usr/bin/redis-server /etc/redis/session.conf...
masood09/docker-redis
build/99_redis.sh
Shell
mit
407
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for USN-2917-2 # # Security announcement date: 2016-04-07 00:00:00 UTC # Script generation date: 2017-02-06 21:05:26 UTC # # Operating System: Ubuntu 12.04 LTS # Architecture: i386 # # Vulnerable packages fix on version: # - firefox:45.0.1+build1-0ubuntu0.12.04.2...
Cyberwatch/cbw-security-fixes
Ubuntu_12.04_LTS/i386/2016/USN-2917-2.sh
Shell
mit
1,319
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for RHSA-2010:0704 # # Security announcement date: 2010-09-21 09:33:04 UTC # Script generation date: 2017-01-01 21:12:50 UTC # # Operating System: Red Hat 5 # Architecture: x86_64 # # Vulnerable packages fix on version: # - kernel-doc.noarch:2.6.18-194.11.4.el5 #...
Cyberwatch/cbw-security-fixes
Red_Hat_5/x86_64/2010/RHSA-2010:0704.sh
Shell
mit
2,220
#!/bin/bash # Simple setup.sh for configuring Ubuntu 12.04 LTS Azure instance dedicated to # machine learning with Python sudo apt-get update sudo apt-get install build-essential sudo apt-get install screen # Install PostgreSQL sudo apt-get install postgresql postgresql-contrib # Install Python dependencies sudo apt...
caracolrec/caracol
setup-ml.sh
Shell
mit
964
#!/bin/bash PACKAGE=${1} FLAGS=-fv #-i # "-i" is used for interactive confirmation if [ "x${PACKAGE}x" = "xx" ]; then echo "No package name provided!" echo "Usage: $0 <package name>" exit 1 fi while true; do read -p "Do you really want to clean '$PACKAGE' package [y/n]?" yn case $yn in [Y...
devicehive/IoT-framework
build/snappy/snappy-clean.sh
Shell
mit
741
#!/bin/sh # CYBERWATCH SAS - 2016 # # Security fix for RHSA-2012:1173 # # Security announcement date: 2012-08-15 19:28:32 UTC # Script generation date: 2016-11-09 21:21:09 UTC # # Operating System: Red Hat 6 # Architecture: x86_64 # # Vulnerable packages fix on version: # - flash-plugin.i686:11.2.202.238-1.el6 # ...
Cyberwatch/cbw-security-fixes
Red_Hat_6/x86_64/2012/RHSA-2012:1173.sh
Shell
mit
630
# Source Plugins for plugin in $plugins ; do custom_path="$dot_env_custom/plugins/$plugin/$plugin.plugin.sh" standard_path="$dot_env_path/plugins/$plugin/$plugin.plugin.sh" if [ -f $custom_path ]; then verbose_info "Sourcing custom plugin: '$plugin'" source $custom_path elif [ -f $standard_path ]; then ...
midwire/bash.env
plugins/plugins.sh
Shell
mit
465
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for USN-2944-1 # # Security announcement date: 2016-04-04 00:00:00 UTC # Script generation date: 2017-01-01 21:05:19 UTC # # Operating System: Ubuntu 12.04 LTS # Architecture: i386 # # Vulnerable packages fix on version: # - libavformat53:4:0.8.17-0ubuntu0.12.04....
Cyberwatch/cbw-security-fixes
Ubuntu_12.04_LTS/i386/2016/USN-2944-1.sh
Shell
mit
1,090
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for DLA-700-1 # # Security announcement date: 2016-11-05 00:00:00 UTC # Script generation date: 2017-01-01 21:09:25 UTC # # Operating System: Debian 7 (Wheezy) # Architecture: x86_64 # # Vulnerable packages fix on version: # - libxslt:1.1.26-14.1+deb7u2 # # Last ...
Cyberwatch/cbw-security-fixes
Debian_7_(Wheezy)/x86_64/2016/DLA-700-1.sh
Shell
mit
625
if (( $+commands[gwhoami] )); then _gnu_utility_cmds=( # Coreutils 'base64' 'basename' 'chcon' 'chgrp' 'chmod' 'chown' 'chroot' 'cksum' 'comm' 'cp' 'csplit' 'cut' 'date' 'dd' 'df' 'dir' 'dircolors' 'dirname' 'du' 'env' 'expand' 'expr' 'factor' 'false' 'fmt' 'fold' 'groups' 'head' 'hostid' 'id' ...
joshuarubin/dotfiles
exact_dot_zsh/exact_startup/01_gnu_utility.zsh
Shell
mit
1,669
#!/bin/bash set -e COMMON_FLAGS="-DCURL_IS_STATICALLY_LINKED" export EXTRA_CFLAGS="$COMMON_FLAGS" export EXTRA_CXXFLAGS="$COMMON_FLAGS" export PATH="$FORCE_GEM_HOME_AND_PATH/bin:$PATH" exec "$@"
phusion/passenger_binary_build_automation
macos/support/activate-passenger-agent-compilation-environment.sh
Shell
mit
198
# Set terminal window and tab/icon title function title { emulate -L zsh setopt prompt_subst [[ "$EMACS" == *term* ]] && return # if $2 is unset use $1 as default # if it is set and empty, leave it as is : ${2=$1} case "$TERM" in cygwin|xterm*|putty*|rxvt*|ansi) print -Pn "\e]2;$2:q\a" # set...
eendroroy/zshPlugins
termsupport.zsh
Shell
mit
2,734
############################################################################### ## ## ## ironspork-rev4 <https://github.com/PurpleNinjaz/ironspork-rev4> ## ## ------------------------------------------------------------------ ## ## Useful PowerShell commands / snippets for moving data around hosts...
PurpleNinjaz/ironspork-rev4
assets/banner.sh
Shell
mit
469
#!/bin/bash set -x source _variables.sh mkdir -p /tmp/bosh_agent echo -n $infrastructure > /etc/infrastructure pushd /tmp/bosh_agent cp $SRC_DIR/_bosh_agent.tar /tmp/bosh_agent tar xmvf _bosh_agent.tar $bosh_dir/bin/gem install *.gem --force --no-ri --no-rdoc chmod +x $bosh_dir/bin/bosh_agent # ...
ankurcha/stemcell
templates/ubuntu/bosh_agent.sh
Shell
mit
998
#!/bin/bash env -i set -ex group_counter=0 # Loop through all existing AutoScaling Groups while [[ `sudo aws autoscaling describe-auto-scaling-groups | jq -r ".AutoScalingGroups[ $group_counter ] .AutoScalingGroupName"` != null ]]; do # Determine whether the ASG name corresponds with the correct app name if [[ `su...
ljacobford/jenkins_scripts
scripts/new_cicd_deploy.sh
Shell
mit
1,356
#!/bin/sh # `/sbin/setuser memcache` runs the given command as the user `memcache`. # If you omit that part, the command will be run as root. exec mysqld_safe >>/var/log/mysql/mysql_screen_output.log 2>&1
butlerpeter/nzedb-docker
mariadb.sh
Shell
mit
206
# Result echo -e "Result {{ build_path }}" cd {{ builds_path }} (ls -t|head -n {{ builds_to_keep }};ls)|sort|uniq -u|xargs rm -rf
Fixhub/Fixhub
resources/scripts/build/steps/Result.sh
Shell
mit
133
#!/bin/bash if [ ! -e MITgcm ]; then #update software if needed and generate setup_export.sh source ./ECCO_v4_r2/example_scripts/setup_rhel.sh #define environment variables that MITgcm relies on source ./setup_export.sh #install MITgcm echo '/1 :pserver:cvsanon@mitgcm.org:2401/u/gcmpack Ah<Zy=0=' > ~/.cvspass expor...
gaelforget/ECCO_v4_r2
example_scripts/setup_MITgcm.sh
Shell
mit
982
#!/bin/sh npm run clean:build npm run build cp -r ./build/* ./server/static/ cd server docker-machine env aws-01 eval $(docker-machine env aws-01) docker-machine scp -r ./static/ aws-01:~/ docker-compose build docker-compose up -d
mariano54/startuply
deploy.sh
Shell
mit
232
#!/bin/bash export TEXO_SERVER_ADDRESS=localhost export TEXO_SERVER_PORT=8081 export TEXO_POSTS_PER_PAGE=10 export TEXO_SQL_ADDRESS=localhost export TEXO_SQL_PORT=3306 export TEXO_SQL_DATABASE=texocms export TEXO_SQL_USERNAME=root export TEXO_SQL_PASSWORD=password go run ./texo-services.go -serveraddress=$TEXO_SERV...
Texo/texo-services
start.sh
Shell
mit
361
#!/bin/bash #Copyright (c) 2016 Prince King <wyhddzxx2@gmail.com> #This file is under MIT license _split_string="" function split_common(){ local string=$1 pre_IFS=$IFS IFS=$2 _split_string=($string) IFS=$pre_IFS #echo ${split_string[*]} return 0 } function split(){ if [ $# != 3 ] then #echo "Usage: split s...
handsomeprince/mirror-git-repo-download
string.sh
Shell
mit
1,490
Workdir=/n/rsync/rsync UrlSuffix=http://portland.cn.atrenta.com/ds/ datetag=`date +"%Y%m%d"` Logdir=/var/www/ds/data/$datetag cd $Workdir mantisbacklog=$Logdir/mantis.backup.txt if [ -e $mantisbacklog ] then mantislog=$Logdir/mantis.restore.txt echo "======================restore mantis=================== "...
hli010/rsync
restoreWebSrv.sh
Shell
mit
753
#!/usr/bin/env bash set -ex -o pipefail find . -name "*.ts" \ -not -path "*/.vscode*" \ -not -path "*/project/*" \ -not -path "*/node_modules/*" \ -not -path "*/dist/*" \ -exec yarn clang-format -i {} + find syntaxes/ -name "*.json" \ -exec yarn prettier --write {} + if [[ -n "${CIRCLECI}" && -n "$(git ...
angular/vscode-ng-language-service
scripts/format.sh
Shell
mit
418
# Oh, THE COLORS! if command -v dircolors &> /dev/null; then if [[ -r ~/.dircolors ]]; then eval "$(dircolors -b ~/.dircolors)" else eval "$(dircolors -b)" fi alias ls='ls --color=auto' alias dir='dir --color=auto' alias vdir='vdir --color=auto' alias grep='grep --color=auto -n' alias fgrep='f...
rdsmallwood928/bashrc
home/.bashrc.d/topics/colors.sh
Shell
mit
672
#!/bin/bash # LGSM fix_glibc.sh function # Author: Daniel Gibbs # Website: http://gameservermanagers.com lgsm_version="020116" fn_glibcfixmsg(){ echo "" echo "GLIBC Fix required" echo "============================" sleep 1 fn_printwarningnl "${gamename} requires GLIBC_${glibcversion} or above" sleep 1 echo "" echo -e ...
Sodierlow/linuxgsm
functions/fix_glibc.sh
Shell
mit
5,470
export PATH=/Users/emogollan/.rbenv/shims:/usr/local/bin:/usr/local/sbin:/Users/emogollan/.sfs:/Users/emogollan/.oh-my-zsh/bin:./bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin:/usr/local/MacGPG2/bin:~/bin
mogox/dotfiles
zsh/oh-my-zsh/fix_path.zsh
Shell
mit
221
#!/bin/bash sudo apt-get update; sudo apt-get install -y vlc;
jwdotjs/raspberry-pi-camera
video/install.sh
Shell
mit
62
#!/bin/bash set -o errexit clear git checkout docs python2 setup.py test --quiet python3 setup.py test --quiet python2 setup.py build_sphinx --builder=doctest python2 setup.py check --strict --metadata --restructuredtext pycodestyle --max-line-length=120 Pynamixel *.py doc/conf.py python2 setup.py build_sphinx...
jacquev6/Pynamixel
run_development_cycle.sh
Shell
mit
502
gsettings set org.mate.terminal.profile:/org/mate/terminal/profiles/default/ background-color '#000000000000' gsettings set org.mate.terminal.profile:/org/mate/terminal/profiles/default/ bold-color '#000000000000' gsettings set org.mate.terminal.profile:/org/mate/terminal/profiles/default/ bold-color-same-as-fg true gs...
mindriot101/mate-terminal-ir_black
ir_black.sh
Shell
mit
839
#!/bin/bash set -e if ! grep -q "dispatcher-service-test.local" /etc/hosts; then echo "$DISPATCHER_SERVICE_PORT_443_TCP_ADDR dispatcher-service-test.local.local" >> /etc/hosts fi exec "$@"
deshi-basara/docker-soa-pipeline
dispatcher-service/docker-entrypoint.sh
Shell
mit
195
# Sets reasonable macOS defaults. # # Or, in other words, set shit how I like in macOS. # # The original idea (and a couple settings) were grabbed from: # https://github.com/mathiasbynens/dotfiles/blob/master/.macos # # Run ./set-defaults.sh and you'll be good to go. # Disable press-and-hold for keys in favor of key...
morinap/dotfiles
macos/set-defaults.sh
Shell
mit
2,045
#!/bin/bash set -e set -o pipefail source /hbb_exe_gc_hardened/activate # Remove -O2 because the Passenger build system already # sets optimization flags. export EXTRA_CFLAGS=`echo "$CFLAGS" | sed 's/-O2//'` export EXTRA_CXXFLAGS=`echo "$CXXFLAGS" | sed 's/-O2//'` export EXTRA_LDFLAGS="$LDFLAGS" COMMON_FLAGS="-DCURL_I...
phusion/passenger_binary_build_automation
linux/support/activate-passenger-agent-compilation-environment.sh
Shell
mit
456
## # fs_tempdir.sh - creates temporary directories ## require 'math/random.sh' fs_tempdir () { local prefix local systmp local tempdir prefix="${1:-tempdir.sh}" systmp="${TMPDIR:-/tmp}" tempdir="$(mktemp -d "${systmp}/${prefix}.XXXXXX" 2>/dev/null || :)" if test -z "${tempdir:-}" then tempdi...
alganet/coral
lib/fs/tempdir.sh
Shell
mit
429
### DigitalOcean doctl # https://www.digitalocean.com/community/tutorials/how-to-use-doctl-the-official-digitalocean-command-line-client ### # vim: filetype=sh:tabstop=2:shiftwidth=2:expandtab install_doctl() { echo "" hdr "Installing DigitalOcean doctl..." echo "" local install=0 local dver=$(echo $DOCTL...
pinterb/devtoolbox
cloud/digitalocean.sh
Shell
mit
1,339
mkdir -p $HOME/Code/Go export GOPATH=$HOME/Code/Go export PATH=$PATH:$GOPATH/bin
FloresRobles/dotfiles
go/path.zsh
Shell
mit
81
#!/bin/bash # # Postfix (SMTP) # -------------- # # Postfix handles the transmission of email between servers # using the SMTP protocol. It is a Mail Transfer Agent (MTA). # # Postfix listens on port 25 (SMTP) for incoming mail from # other servers on the Internet. It is responsible for very # basic email filtering suc...
brocktice/mailinabox
setup/mail-postfix.sh
Shell
cc0-1.0
10,446
#!/bin/bash # # setup script for GDAL and JBLAS, for development and local testing set -e sudo apt-get update bucket=reddconfig fwtools=FWTools-linux-x86_64-4.0.0.tar.gz gdal=linuxnative.tar.gz jblas=libjblas.tar.gz native_lib="/home/$USER/native/Linux-amd64-64" mkdir -p $native_lib # Install helper libraries sud...
wri/forma-clj
dev/setup.sh
Shell
epl-1.0
1,524
set -e -o pipefail pre="INSERT INTO osm_pg (geom, osm_tags) ( SELECT wkb_geometry AS geom, hstore( " mid=") AS osm_tags FROM li_pg WHERE code::TEXT LIKE " end=");" connect="psql -q -U postgres canvec" if [ $(echo "\d" | $connect | grep li_pg | wc -l) = "0" ]; then exit 0 fi echo "$pre ARRAY['boundary', 'adminis...
ingalls/canvecplus2osm
map/li_pg.sh
Shell
gpl-2.0
581
#!/system/bin/sh case $1 in 480p) fbset -fb /dev/graphics/fb0 -g 720 480 720 960 16 -rgba 5/11,6/5,5/0,0/0 echo $1 > /sys/class/display/mode ;; 720p) fbset -fb /dev/graphics/fb0 -g 800 480 800 960 16 -rgba 5/11,6/5,5/0,0/0 echo $1 > /sys/class/display/mode echo 240...
buschm2rpi/f06ref848L-JB
f06ref848L/amlogic/f08ref/set_display_mode.sh
Shell
gpl-2.0
1,114
#!/bin/bash if [ x$1 == x ] then echo " usage: $0 ~/dev/cerbero/build/dist/linux_x86_64 This script creates a distribution package for OptoFidelity Test Video Generator. The argument should be a path to the cerbero dist directory for the platform. " exit 1 fi # Abort on errors #set -e # Change to the oftvg root dir...
OptoFidelity/TVG
distribution/make_linux_pkg.sh
Shell
gpl-2.0
2,446
#!/bin/bash # # Usage: # ./check_postgres_replication.sh int-docker-pg-vip int-docker-pg-standby mycoolapp # # Warning and Critical values are the size of wal files e.g. # 83886080 = 5 * 16MB, (default) size of 5 WAL files # 16777216 = 16 MB, (default) size of 1 WAL file STATE_OK=0 STATE_WARNING=1 STATE_CRITICAL=2 STA...
sammcj/nagios
check_postgres_replication.sh
Shell
gpl-2.0
5,594
#! /bin/sh # Copyright (C) 2011-2017 Free Software Foundation, Inc. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program ...
pylam/automake
t/py-compile-basic.sh
Shell
gpl-2.0
1,901
#!/bin/sh if [ "$1" == "" ] then echo "" echo " USAGE 1: $0 SERVER_NAME TC_NAME" echo " USAGE 2: $0 SERVER_NAME TC_NAME WAR_NAME (without '.war'" echo "" echo " AWS AMI TC Dir: /usr/share/" echo "" echo -n "SERVER_NAME: " read -e SN echo -n "TC_NAME: " read -e TC echo -n...
khilnani/snippets
tc-bounce.sh
Shell
gpl-2.0
963
#! /bin/bash # Copyright (c) 2012 - 2022 nerdopolis (or n3rdopolis) <bluescreen_avenger@verzion.net> # # This file is part of RebeccaBlackOS. # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software...
n3rdopolis/rebeccablackos
externalbuilders/rebeccablackos_phase3.sh
Shell
gpl-2.0
5,409
#!/bin/sh set -e set -v test -n "$1" && RESULTS=$1 || RESULTS=results.log # Make things clean. test -f Makefile && make -k distclean || : rm -rf build mkdir build cd build ../autogen.sh --prefix=$AUTOBUILD_INSTALL_ROOT \ --enable-compile-warnings=error make make install # set -o pipefail is a bashism; this u...
giuseppe/libosinfo
autobuild.sh
Shell
gpl-2.0
2,075
#!/usr/bin/env bash docker rm -f dw1 dw2 docker run -d --name dw1 -e MYSQL_ROOT_PASSWORD=rootpass -p 13306:3306 mysql:5.6 --lower-case-table-names=1 docker run -d --name dw2 -e MYSQL_ROOT_PASSWORD=rootpass -p 23306:3306 mysql:5.6 --lower-case-table-names=1 sleep 30 docker run --rm --link dw1 \ -v $(pwd)/data/sc...
ongo360/Mycat-Server
demo/setup-mysql-cluster.sh
Shell
gpl-2.0
566
#!/bin/sh # # Supported formats: # nvmf.hostnqn=<hostnqn> # nvmf.hostid=<hostid> # nvmf.discover=<transport>:<traddr>:<host-traddr>:<trsvcid> # # Examples: # nvmf.hostnqn=nqn.2014-08.org.nvmexpress:uuid:37303738-3034-584d-5137-333230423843 # nvmf.discover=rdma:192.168.1.3::4420 # nvmf.discover=tcp:192.168.1.3::4420 # n...
yuwata/dracut
modules.d/95nvmf/parse-nvmf-boot-connections.sh
Shell
gpl-2.0
3,823
#!/bin/bash source ./mednafen-common.sh export SDL_OMAP_LAYER_SIZE=480x432 while [ 1 ] do file=`select_rom "lastdir-gg.txt" "Game Gear"` if [ "$file" == "" ]; then exit fi ./mednafen "$file" done
pder/mednafen-pandora
pandora/mednafen-gg.sh
Shell
gpl-2.0
223
localectl status echo _____________________ echo localectl set-keymap: localectl list-keymaps | grep it
zappyk-github/zappyk-ocean
home/zappyk/bin/localectl-keymap.sh
Shell
gpl-2.0
114
#!/bin/bash LIST="date commit branch mojette bpo pretty" syntax() { usage="Usage : cmake_get.sh <source directory> [" or="" for topic in $LIST do usage=$usage$or$topic or="|" done usage=$usage"]" echo $usage exit 1 } rozo_date() { ROZO_DATE=`date "+%Y/%m/%d %HH%M" | tr -d '\n' ` printf "...
rozofs/rozofs
tools/cmake_get.sh
Shell
gpl-2.0
2,238
#!/bin/bash # # Copyright (C) 2010 by Michael Olbrich <m.olbrich@pengutronix.de> # See CREDITS for details about who has contributed to this project. # # For further information about the PTXdist project and license conditions # see the README file. # # # clean # ptxd_make_world_clean() { ptxd_make_world_init && ...
nischu7/ptxdist
scripts/lib/ptxd_make_world_clean.sh
Shell
gpl-2.0
1,870
#!/usr/bin/env bash # Lua Version LUA=5.1 # Dependencies and libraries NATIVE="lua$LUA liblua$LUA-dev luarocks make redis-server" ROCKS="telegram-bot-api lua-resty-socket" # Color variables Red='\033[0;31m' Green='\033[0;32m' Orange='\033[0;33m' Blue='\033[0;34m' Purple='\033[0;35m' Cyan='\033[0;36m' BRed='\033[1;31...
RememberTheAir/GroupButler
install.sh
Shell
gpl-2.0
2,006
#!/sr/bin/env bash make xen tools stubdom make install-xen make install-tools PYTHON_PREFIX_ARG="--install-layout=deb" make install stubdom
sunny-wyb/xen-4.1.2
build.sh
Shell
gpl-2.0
141
#!/bin/bash cp ~/Scripts/files/CTemplate.c $1.c
JeremyDwayne/Scripts
CTemplate.sh
Shell
gpl-2.0
49
#! /bin/bash set -e export INGRESS_INTERNAL_ANNOTATIONS=$HOF_CONFIG/ingress-internal-annotations.yaml export INGRESS_EXTERNAL_ANNOTATIONS=$HOF_CONFIG/ingress-external-annotations.yaml export CONFIGMAP_VALUES=$HOF_CONFIG/configmap-values.yaml export NGINX_SETTINGS=$HOF_CONFIG/nginx-settings.yaml kd='kd --insecure-skip...
UKHomeOffice/gro
bin/deploy.sh
Shell
gpl-2.0
1,731
#!/bin/bash ## ################################################################################################################################################### ## Copyright (C) 2010 www.2aide.fr ## ## ...
2aide/osagence
osagence/usr/share/osagence/chauffage.sh
Shell
gpl-2.0
3,782
#!/bin/sh # Run this to generate all the initial makefiles, etc. srcdir=`dirname $0` test -z "$srcdir" && srcdir=. REQUIRED_AUTOMAKE_VERSION=1.9 PKG_NAME=sstp-client (test -f $srcdir/configure.ac \ && test -f $srcdir/src/sstp-client.c) || { echo -n "**Error**: Directory "\`$srcdir\'" does not look like the" ...
reliablehosting/sstp-client
autogen.sh
Shell
gpl-2.0
460
GIT_OK=git SSL_OK=libssl-dev COFFEE_OK=coffeescript if dpkg --get-selections | grep -q "^$GIT_OK[[:space:]]*install$" >/dev/null; then echo "$GIT_OK is already installed" else echo installing git sudo apt-get --yes --force-yes install git fi if dpkg --get-selections | grep -q "^$SSL_OK[[:space:]]*install$" >/de...
nfvguru/LFSCloudImage
build/cloudport/opt/cloudport5.4/setup.sh
Shell
gpl-2.0
1,256
#!/bin/sh #usage: "pull.sh dir1 dir2 ...",if no arg,default to "pull.sh ." set -e pull() { echo -e "\033[32mpull $1\033[0m" cd $1 git pull || echo -e "\033[31mpull $1 error\033[0m" cd - > /dev/null } pullDir() { dir=`echo $1|xargs` #remove / if the last character of dir is / if [[ ${dir:...
realgeoffrey/knowledge
pull.sh
Shell
gpl-2.0
700
#!/bin/sh ############################## # Global variable definition ############################## QMP_PATH="/etc/qmp" TMP="/tmp" QMPINFO="/etc/qmp/qmpinfo" ####################### # Importing files ###################### SOURCE_NET=1 [ -z "$SOURCE_COMMON" ] && . $QMP_PATH/qmp_common.sh [ -z "$SOURCE_FUNCTIONS" ] &&...
routek/qMp
packages/qmp-system/files/etc/qmp/qmp_network.sh
Shell
gpl-2.0
15,989
#!/bin/bash cmd_name=${1?"Need to specify command name"} cat ~/.bash_history | grep -c "^${cmd_name}"
ItsLastDay/academic_university_2016-2018
subjects/Bash&Python/bash_hw2/2.sh
Shell
gpl-3.0
103
#!/bin/bash # Generated by ant, January 5 2011 # Note that a Java runtime should be on the path. # The current directory should be root of the nxt install. # unless you edit this variable to contain the path to your install # then you can run from anywhere. # this magic incantation changes to the directory we're runni...
boompieman/iim_project
nxt_1.4.4/NXT-start-GUI.command
Shell
gpl-3.0
1,535
#!/bin/bash # do a basic Jakoshavn spinup by: # ./spinup NN Mx My >> out.spin & # if user says "spinup.sh 8 620 425" then NN=8, Mx=620, My=425 NN="$1" Mx="$2" My="$3" if [ $# -lt 3 ] ; then echo "spinup.sh ERROR: needs three arguments" exit fi # set MPIDO if using different MPI execution command, for exampl...
talbrecht/pism_pik07
examples/jako/spinup.sh
Shell
gpl-3.0
2,901
#!/usr/bin/env bash ProjectName=“NOME DA PASTA“ #Pasta do projeto PathPublic=“NOME DO DOCUMENT ROOT“ # document root do sistema DataBase=“NOME DA BASE DE DADOS“ #Nome da base de dados #Logando como sudo SU sudo su echo ">>> ADD NAMESERVER DO GOOGLE <<<" sudo echo > /etc/resolv.conf sudo echo "nameserver 8.8.8.8" > /...
juizmill/vagrant-config
bootstrap.sh
Shell
gpl-3.0
6,447
#!/bin/bash python RunBootstrap.py --paralog1 YMR142C --paralog2 YDL082W --bootnum 30 > YMR142C_YDL082W_Boot30_PrintScreen.txt
xjw1001001/IGCexpansion
Bootstrap/ShFiles/MG94_YMR142C_YDL082W_Boot30.sh
Shell
gpl-3.0
128
#! /bin/sh # This file is part of IVRE. # Copyright 2011 - 2018 Pierre LALET <pierre.lalet@cea.fr> # # IVRE is free software: you can redistribute it and/or modify it # under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your optio...
cea-sec/ivre
.travis/install_sqlite.sh
Shell
gpl-3.0
873
#!/bin/sh ########################################################################### # prename.sh - Camera Photo File Renamer # Copyright (C) 2006-2010 Jonas Kvinge ########################################################################### # Redistributions of this source code must retain the above # copyright notice...
jonaski/shellscripts
photo/prename.sh
Shell
gpl-3.0
8,867
#!/bin/bash #shellcheck disable=SC1090,SC2164 THIS_FILE=$(readlink -f "${BASH_SOURCE[0]}") THIS_DIR=$(dirname "${THIS_FILE}") [[ -f ${THIS_DIR}/../env.sh ]] && source "${THIS_DIR}/../env.sh" if [[ -n ${LFTP_VERSION} && -n ${LFTP_URL} && -n ${LFTP_SRCDIR} ]]; then prepare_build "lftp" if [ -d $HOME/${LFTP_SRC...
liaoya/oh-various-scripts
build/docker/build-lftp.sh
Shell
gpl-3.0
708
#!/bin/bash -e # The Findutils package contains programs to find files. These programs are # provided to recursively search through a directory tree and to create, # maintain, and search a database (often faster than the recursive find, but # unreliable if the database has not been recently updated). . ../lfs.comm ...
fangxinmiao/projects
Architeture/OS/Linux/Distributions/LFS/build-scripts/lfs-7.6-systemd/1-build-tmp-system/18-Findutils.sh
Shell
gpl-3.0
566
#!/bin/sh install_name_tool -change libvespucci.1.dylib @executable_path/../Frameworks/libvespucci.1.dylib MacOS/Vespucci install_name_tool -change libmlpack.2.dylib @executable_path/../Frameworks/libmlpack.2.dylib MacOS/Vespucci install_name_tool -change libarmadillo.7.dylib @executable_path/../Frameworks/libarmadillo...
VespucciProject/Vespucci
vespucci_name_tool.sh
Shell
gpl-3.0
3,816
########################################################################### # Install additional or update groups if needed ########################################################################### cernvm_start () { if [ -f /etc/pki/tls/private/localhost.key -o -f /etc/pki/tls/certs/localhost.crt ]; then retur...
cernvm/cernvm-config
etc/cernvm/cernvm.d/S50sslcert.sh
Shell
gpl-3.0
1,222
#!/bin/sh -f ./src/andi --help > /dev/null || exit 1 SEED=${RANDOM_SEED:-0} SEED2=0 SEED3=0 if test $SEED -ne 0; then SEED=$((SEED + 1)) SEED2=$((SEED + 2)) SEED3=$((SEED + 3)) fi # Simple join test ./test/test_fasta -s $SEED -l 1000 -L 1000 -d 0.1 > p1_join.fasta ./test/test_fasta -s $SEED2 ...
EvolBioInf/andi
test/test_join.sh
Shell
gpl-3.0
2,896
#!/bin/bash # Usage: auto install mysql # Version: 1.3 # Author: Jamin Zhang # Email: zhangjamin@163.com . /etc/init.d/functions MYSQL_SOFT_DIR="/root/soft" MYSQL_VERSION="5.6.21" MYSQL_INSTALL_DIR="/app/mysql-$MYSQL_VERSION" MYSQL_LN_DIR="/app/mysql" echo echo "-----Step 01: Add mysql group and user-----" groupadd ...
JaminZhang/automated-shell-scripts
MySQL/auto-intall-mysql-5.6.sh
Shell
gpl-3.0
1,736
#!/bin/sh # Run the standard make to define tables and functions in gwas_plink # Fix owners, tablespaces and permissions in a follow-up script cd ../../../ddl/postgres export skip_ddl_global=1 make load_gwas_plink
transmart/transmart-data
updatedb/release-16.2/postgres/update-92-plink-make.sh
Shell
gpl-3.0
217